Overview | Package | Class | Use | Serialized | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.validation
Class MutableProjectSettings

    java.lang.Object
      org.eclipse.wst.validation.MutableProjectSettings

    public final class MutableProjectSettings

extends java.lang.Object

This class holds the overall project validation settings.

The following procedure is used to change a project's Validation settings.

1. The MutableProjectSettings are retrieved.
2. The MutableProjectSettings are changed.
3. The MutableProjectSettings are "applied".

In order for a project's validation setting to be effective, both `getOverride()` and `MutableWorkspaceSettings.getOverride()` must be true.

These settings can be retrieved with `ValidationFramework.getProjectSettings(IProject)`.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Constructor Summary
`MutableProjectSettings(IProject project, IMutableValidator[] validators)`

Method Summary
`boolean` | `getOverride()` Can this project override the workspace level validation settings?
`IProject` | `getProject()` Answer the project that these settings are for.
`boolean` | `getSuspend()` Is validation suspended for this project?
`IMutableValidator[]` | `getValidators()`
`void` | `setOverride(boolean override)` Change whether this project can override workspace level validation settings.
`void` | `setSuspend(boolean suspend)` Change whether this project is suspending it's validation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MutableProjectSettings

    public MutableProjectSettings(IProject project,
                                  IMutableValidator[] validators)

Method Detail

### getValidators

    public IMutableValidator[] getValidators()

### getOverride

    public boolean getOverride()

  Can this project override the workspace level validation settings?

### setOverride

    public void setOverride(boolean override)

  Change whether this project can override workspace level validation settings.

  Parameters:
    `override` - Set to true if the project is allowed to override workspace level validation settings.

### getSuspend

    public boolean getSuspend()

  Is validation suspended for this project?

### setSuspend

    public void setSuspend(boolean suspend)

  Change whether this project is suspending it's validation.

  Parameters:
    `suspend` - Set to true, to suspend validation for this project.

### getProject

    public IProject getProject()

  Answer the project that these settings are for.

Overview | Package | Class | Use | Serialized | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD